vip_privilege:
  - level: 0
    min_exp: 0
    max_exp: 29
    bean_rate: 1
    relief_rate: 1
    relief_ratev2: 1
    fanhuan_mul: 1
    fhlb_addition: 0
    yoyo_addition: 0
    piggybank_addition: 0
    precious_addition: 0
  - level: 1
    min_exp: 30
    max_exp: 99
    bean_rate: 2
    relief_rate: 2
    relief_ratev2: 1
    fanhuan_mul: 1
    fhlb_addition: 0
    yoyo_addition: 0
    piggybank_addition: 0
    precious_addition: 0
  - level: 2
    min_exp: 100
    max_exp: 199
    bean_rate: 3
    relief_rate: 3
    relief_ratev2: 1
    fanhuan_mul: 2
    fhlb_addition: 10
    yoyo_addition: 0
    piggybank_addition: 0
    precious_addition: 0
  - level: 3
    min_exp: 200
    max_exp: 499
    bean_rate: 4
    relief_rate: 4
    relief_ratev2: 2
    fanhuan_mul: 3
    fhlb_addition: 20
    yoyo_addition: 10
    piggybank_addition: 0
    precious_addition: 0
  - level: 4
    min_exp: 500
    max_exp: 1499
    bean_rate: 6
    relief_rate: 5
    relief_ratev2: 3
    fanhuan_mul: 4
    fhlb_addition: 30
    yoyo_addition: 20
    piggybank_addition: 0
    precious_addition: 0
  - level: 5
    min_exp: 1500
    max_exp: 2999
    bean_rate: 8
    relief_rate: 6
    relief_ratev2: 4
    fanhuan_mul: 5
    fhlb_addition: 40
    yoyo_addition: 30
    piggybank_addition: 10
    precious_addition: 0
  - level: 6
    min_exp: 3000
    max_exp: 5999
    bean_rate: 10
    relief_rate: 7
    relief_ratev2: 5
    fanhuan_mul: 6
    fhlb_addition: 50
    yoyo_addition: 40
    piggybank_addition: 20
    precious_addition: 0
  - level: 7
    min_exp: 6000
    max_exp: 14999
    bean_rate: 12
    relief_rate: 8
    relief_ratev2: 6
    fanhuan_mul: 7
    fhlb_addition: 60
    yoyo_addition: 50
    piggybank_addition: 30
    precious_addition: 0
  - level: 8
    min_exp: 15000
    max_exp: 49999
    bean_rate: 14
    relief_rate: 10
    relief_ratev2: 8
    fanhuan_mul: 8
    fhlb_addition: 70
    yoyo_addition: 70
    piggybank_addition: 40
    precious_addition: 20
  - level: 9
    min_exp: 50000
    max_exp: 99999
    bean_rate: 16
    relief_rate: 12
    relief_ratev2: 10
    fanhuan_mul: 9
    fhlb_addition: 80
    yoyo_addition: 100
    piggybank_addition: 60
    precious_addition: 40
  - level: 10
    min_exp: 100000
    max_exp: 199999
    bean_rate: 18
    relief_rate: 14
    relief_ratev2: 12
    fanhuan_mul: 9
    fhlb_addition: 90
    yoyo_addition: 120
    piggybank_addition: 80
    precious_addition: 60
  - level: 11
    min_exp: 200000
    max_exp: 299999
    bean_rate: 20
    relief_rate: 16
    relief_ratev2: 14
    fanhuan_mul: 10
    fhlb_addition: 100
    yoyo_addition: 120
    piggybank_addition: 100
    precious_addition: 80
  - level: 12
    min_exp: 300000
    max_exp: 499999
    bean_rate: 20
    relief_rate: 18
    relief_ratev2: 16
    fanhuan_mul: 12
    fhlb_addition: 110
    yoyo_addition: 120
    piggybank_addition: 120
    precious_addition: 100
  - level: 13
    min_exp: 500000
    max_exp: 799999
    bean_rate: 20
    relief_rate: 22
    relief_ratev2: 20
    fanhuan_mul: 13
    fhlb_addition: 120
    yoyo_addition: 120
    piggybank_addition: 140
    precious_addition: 120
  - level: 14
    min_exp: 800000
    max_exp: 1199999
    bean_rate: 20
    relief_rate: 26
    relief_ratev2: 25
    fanhuan_mul: 14
    fhlb_addition: 120
    yoyo_addition: 120
    piggybank_addition: 160
    precious_addition: 140
  - level: 15
    min_exp: 1200000
    max_exp: 9999999999
    bean_rate: 20
    relief_rate: 30
    relief_ratev2: 30
    fanhuan_mul: 15
    fhlb_addition: 120
    yoyo_addition: 120
    piggybank_addition: 180
    precious_addition: 160
